<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>Base_Compressor.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/Compression/</path>
    <filename>a01239</filename>
    <includes id="a01240" name="Base_Compressor.h" local="yes" imported="no">tao/Compression/Base_Compressor.h</includes>
    <namespace>TAO</namespace>
  </compound>
  <compound kind="file">
    <name>Base_Compressor.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/Compression/</path>
    <filename>a01240</filename>
    <includes id="a01244" name="compression_export.h" local="yes" imported="no">tao/Compression/compression_export.h</includes>
    <includes id="a01242" name="Compression.h" local="yes" imported="no">tao/Compression/Compression.h</includes>
    <namespace>TAO</namespace>
    <class kind="class">TAO::BaseCompressor</class>
  </compound>
  <compound kind="file">
    <name>Compression.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/Compression/</path>
    <filename>a01241</filename>
    <includes id="a01242" name="Compression.h" local="yes" imported="no">tao/Compression/Compression.h</includes>
    <includes id="a01246" name="Compression_Manager.h" local="yes" imported="no">tao/Compression/Compression_Manager.h</includes>
  </compound>
  <compound kind="file">
    <name>Compression.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/Compression/</path>
    <filename>a01242</filename>
    <includes id="a01244" name="compression_export.h" local="yes" imported="no">tao/Compression/compression_export.h</includes>
    <class kind="class">TAO_Compression_Loader</class>
    <member kind="define">
      <type>#define</type>
      <name>TAO_COMPRESSION_SAFE_INCLUDE</name>
      <anchorfile>a01242.html</anchorfile>
      <anchor>2fbc6123a3d3937d30bbf13d23827a76</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static int</type>
      <name>TAO_Requires_Compression_Initializer</name>
      <anchorfile>a01242.html</anchorfile>
      <anchor>3bbb9f1e9f871a22528a1da00de2a954</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Compression.pidl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/Compression/</path>
    <filename>a01243</filename>
  </compound>
  <compound kind="file">
    <name>compression_export.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/Compression/</path>
    <filename>a01244</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_COMPRESSION_HAS_DLL</name>
      <anchorfile>a01244.html</anchorfile>
      <anchor>e08821f2c44dc4d4ea5c49d34e91e58d</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_Compression_Export</name>
      <anchorfile>a01244.html</anchorfile>
      <anchor>ee172dfe26c4916b866b0c1d9d785ccc</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_COMPRESSION_SINGLETON_DECLARATION</name>
      <anchorfile>a01244.html</anchorfile>
      <anchor>456c3605c9e5c1b5e78bee326dd9d18c</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_COMPRESSION_SINGLETON_DECLARE</name>
      <anchorfile>a01244.html</anchorfile>
      <anchor>90d98275c3d82a22168343e6f0afefda</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Compression_Manager.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/Compression/</path>
    <filename>a01245</filename>
    <includes id="a01246" name="Compression_Manager.h" local="yes" imported="no">tao/Compression/Compression_Manager.h</includes>
    <namespace>TAO</namespace>
  </compound>
  <compound kind="file">
    <name>Compression_Manager.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/Compression/</path>
    <filename>a01246</filename>
    <includes id="a01244" name="compression_export.h" local="yes" imported="no">tao/Compression/compression_export.h</includes>
    <includes id="a01242" name="Compression.h" local="yes" imported="no">tao/Compression/Compression.h</includes>
    <namespace>TAO</namespace>
    <class kind="class">TAO::CompressionManager</class>
  </compound>
  <compound kind="file">
    <name>Compressor_Factory.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/Compression/</path>
    <filename>a01247</filename>
    <includes id="a01248" name="Compressor_Factory.h" local="yes" imported="no">tao/Compression/Compressor_Factory.h</includes>
    <namespace>TAO</namespace>
  </compound>
  <compound kind="file">
    <name>Compressor_Factory.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/tao/Compression/</path>
    <filename>a01248</filename>
    <includes id="a01244" name="compression_export.h" local="yes" imported="no">tao/Compression/compression_export.h</includes>
    <includes id="a01242" name="Compression.h" local="yes" imported="no">tao/Compression/Compression.h</includes>
    <namespace>TAO</namespace>
    <class kind="class">TAO::CompressorFactory</class>
  </compound>
  <compound kind="class">
    <name>TAO::BaseCompressor</name>
    <filename>a01235.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>BaseCompressor</name>
      <anchorfile>a01235.html</anchorfile>
      <anchor>3a5f71200a7f567827f161671bbfac36</anchor>
      <arglist>(::Compression::CompressionLevel compression_level,::Compression::CompressorFactory_ptr compressor_factory)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>compress</name>
      <anchorfile>a01235.html</anchorfile>
      <anchor>582092260ab6ead1f6cfffab86917f82</anchor>
      <arglist>(const ::CORBA::OctetSeq &amp;source,::CORBA::OctetSeq &amp;target)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>decompress</name>
      <anchorfile>a01235.html</anchorfile>
      <anchor>8acdf82807b94609ff477498ac5790a1</anchor>
      <arglist>(const ::CORBA::OctetSeq &amp;source,::CORBA::OctetSeq &amp;target)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressorFactory_ptr</type>
      <name>compressor_factory</name>
      <anchorfile>a01235.html</anchorfile>
      <anchor>4121d93632b82310f6d622684a3508c9</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressionLevel</type>
      <name>compression_level</name>
      <anchorfile>a01235.html</anchorfile>
      <anchor>3e7ba6dedd79333bca7b7439fc6e484b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>::Compression::CompressionLevel</type>
      <name>compression_level_</name>
      <anchorfile>a01235.html</anchorfile>
      <anchor>5f41300598bea063a7a8ee417c4bdfee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>::Compression::CompressorFactory_var</type>
      <name>compressor_factory_</name>
      <anchorfile>a01235.html</anchorfile>
      <anchor>860b4baff5af4bbef0000efd8ac06765</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::CompressionManager</name>
    <filename>a01236.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual void</type>
      <name>register_factory</name>
      <anchorfile>a01236.html</anchorfile>
      <anchor>1894cdeaf3d8c329c9a14da7fd7adfd5</anchor>
      <arglist>(::Compression::CompressorFactory_ptr compressor_factory)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual void</type>
      <name>unregister_factory</name>
      <anchorfile>a01236.html</anchorfile>
      <anchor>00e61d1fbbc30e5d4af6e09467584233</anchor>
      <arglist>(::Compression::CompressorId compressor_id)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>virtual ::Compression::CompressorFactory_ptr</type>
      <name>get_factory</name>
      <anchorfile>a01236.html</anchorfile>
      <anchor>e063096413f045cfa79b63422395e481</anchor>
      <arglist>(::Compression::CompressorId compressor_id)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>virtual ::Compression::Compressor_ptr</type>
      <name>get_compressor</name>
      <anchorfile>a01236.html</anchorfile>
      <anchor>c4b6edd08f5488f0b50227d2f7918e69</anchor>
      <arglist>(::Compression::CompressorId compressor_id,::Compression::CompressionLevel compression_level)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>virtual ::Compression::CompressorFactorySeq *</type>
      <name>get_factories</name>
      <anchorfile>a01236.html</anchorfile>
      <anchor>e6c85cc2548c94ef3593f8c41e88e4c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_SYNCH_MUTEX</type>
      <name>mutex_</name>
      <anchorfile>a01236.html</anchorfile>
      <anchor>e70e37e702ea3473d91fb3ea1d5feb83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>::Compression::CompressorFactorySeq</type>
      <name>factories_</name>
      <anchorfile>a01236.html</anchorfile>
      <anchor>9a435adeb16d8218411feab0f0cb6507</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::CompressorFactory</name>
    <filename>a01237.html</filename>
    <base virtualness="virtual">TAO_Local_RefCounted_Object</base>
    <member kind="function">
      <type></type>
      <name>CompressorFactory</name>
      <anchorfile>a01237.html</anchorfile>
      <anchor>c8a57bd7489e793030939d118455a65c</anchor>
      <arglist>(::Compression::CompressorId compressor_id)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressorId</type>
      <name>compressor_id</name>
      <anchorfile>a01237.html</anchorfile>
      <anchor>1a77f2bcffeccac5ef1406a4f1e7808a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::CORBA::ULongLong</type>
      <name>compressed_bytes</name>
      <anchorfile>a01237.html</anchorfile>
      <anchor>f8bea7935f758020953083e77ea59788</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::CORBA::ULongLong</type>
      <name>uncompressed_bytes</name>
      <anchorfile>a01237.html</anchorfile>
      <anchor>43c0a96d66603b4be460f0a37786cd0b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::CORBA::Double</type>
      <name>average_compression</name>
      <anchorfile>a01237.html</anchorfile>
      <anchor>1b0dc6d2d59e35df76fed8e5bbdd48cf</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::Compression::Compressor_ptr</type>
      <name>get_compressor</name>
      <anchorfile>a01237.html</anchorfile>
      <anchor>6afb2c61f1b874d9c83a55023707d1c1</anchor>
      <arglist>(::Compression::CompressionLevel compression_level)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>add_sample</name>
      <anchorfile>a01237.html</anchorfile>
      <anchor>6c8fd4f8830a6ec16565cd7e622f4e58</anchor>
      <arglist>(::CORBA::ULongLong compressed_bytes,::CORBA::ULongLong uncompressed_bytes)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_SYNCH_MUTEX</type>
      <name>mutex_</name>
      <anchorfile>a01237.html</anchorfile>
      <anchor>02c3387cdbeaf61a933842640241f3f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>::Compression::CompressorId</type>
      <name>compressor_id_</name>
      <anchorfile>a01237.html</anchorfile>
      <anchor>e5095327a06f5b06a9af63d092720436</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>::CORBA::ULongLong</type>
      <name>compressed_bytes_</name>
      <anchorfile>a01237.html</anchorfile>
      <anchor>6ff91d5ae45567bfb3e8b979bfa64176</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>::CORBA::ULongLong</type>
      <name>uncompressed_bytes_</name>
      <anchorfile>a01237.html</anchorfile>
      <anchor>dfc49cbd2e2ed84bbcc38be7ce7b5b3f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Compression_Loader</name>
    <filename>a01238.html</filename>
    <base>TAO_Object_Loader</base>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>create_object</name>
      <anchorfile>a01238.html</anchorfile>
      <anchor>300cd0047c536f77cc13ce576fe310af</anchor>
      <arglist>(CORBA::ORB_ptr orb, int argc, ACE_TCHAR *argv[])</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>Initializer</name>
      <anchorfile>a01238.html</anchorfile>
      <anchor>c5a92b414fd04405f56f92c787cec261</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
</tagfile>
